odbc_gettypeinfo
odbc_next_result
ODBC Functions
PHP Manual

# odbc_longreadlen

Handling of LONG columns

### Description

bool odbc_longreadlen ( resource `$result_id` , int `$length` )

Enables handling of LONG and LONGVARBINARY columns.

### Parameters

`result_id`

  The result identifier.

`length`

  The number of bytes returned to PHP is controlled by the parameter length. If it is set to 0, Long column data is passed through to the client.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note:

> Handling of LONGVARBINARY columns is also affected by odbc_binmode.